import React, { FunctionComponent } from "react";

type Props = { label: string; link?: string; onClick?: () => {} };

export const FilterListItem: FunctionComponent<Props> = ({ label, link, onClick }) => {
  return (
    <li onClick={onClick} key={link} className="filter">
      {link !== undefined ? <a href={link}>{label}</a> : label}
    </li>
  );
};
